Package ghidra.framework.model

# Class DomainObjectChangedEvent

java.lang.Object
java.util.EventObject
ghidra.framework.model.DomainObjectChangedEvent

All Implemented Interfaces:
  `Serializable`, `Iterable<DomainObjectChangeRecord>`

public class DomainObjectChangedEvent extends EventObject implements Iterable<DomainObjectChangeRecord>
An event indicating a DomainObject has changed. This event is actually a list of DomainObjectChangeRecords. NOTE: This object is TRANSIENT - it is only valid during the life of calls to all the DomainObjectChangeListeners. Listeners who need to retain any of this event information past the listener call should save the DomainObjectChangeRecords, which will remain valid always.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.EventObject

  `source`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainObjectChangedEvent(DomainObject src, List<DomainObjectChangeRecord> subEvents)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsEvent(int eventType)`
  `DomainObjectChangeRecord`
  `getChangeRecord(int i)`
  Get the specified change record within this event.
  `Iterator<DomainObjectChangeRecord>`
  `iterator()`
  Returns iterator over all sub-events
  `int`
  `numRecords()`
  Return the number of change records contained within this event.

  ### Methods inherited from class java.util.EventObject

  `getSource, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### DomainObjectChangedEvent

    public DomainObjectChangedEvent(DomainObject src, List<DomainObjectChangeRecord> subEvents)
    Constructor
    Parameters:
      `src` - the object which has changed
      `subEvents` - a List of DomainObjectChangeRecords;

- ## Method Details

  - ### numRecords

    public int numRecords()
    Return the number of change records contained within this event.

  - ### containsEvent

    public boolean containsEvent(int eventType)

  - ### getChangeRecord

    public DomainObjectChangeRecord getChangeRecord(int i)
    Get the specified change record within this event.
    Parameters:
      `i` - change record number
    Returns:
      change record

  - ### iterator

    public Iterator<DomainObjectChangeRecord> iterator()
    Returns iterator over all sub-events
    Specified by:
      `iterator` in interface `Iterable<DomainObjectChangeRecord>`